Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.sockenklaus.XmlStats
Class XmlStats

    java.lang.Object
      org.bukkit.plugin.java.JavaPlugin
          de.sockenklaus.XmlStats.XmlStats

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.plugin.Plugin

    public class XmlStats

extends org.bukkit.plugin.java.JavaPlugin

The Class XmlStats.

Constructor Summary
`XmlStats()`

Method Summary
`static org.bukkit.Server` | `getServerRef()` Gets the server ref.
`static com.nidefawl.Stats.Stats` | `getStatsPlugin()` Gets the stats plugin.
`static void` | `LogError(java.lang.String Message)` Log error.
`static void` | `LogInfo(java.lang.String Message)` Log info.
`static void` | `LogWarn(java.lang.String Message)` Log warn.
`void` | `onDisable()`
`void` | `onEnable()`

Methods inherited from class org.bukkit.plugin.java.JavaPlugin
`getCommand, getConfiguration, getDatabase, getDatabaseClasses, getDataFolder, getDefaultWorldGenerator, getDescription, getPluginLoader, getServer, isEnabled, isInitialized, isNaggable, onCommand, onLoad, setNaggable, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlStats

    public XmlStats()

Method Detail

### onDisable

    public void onDisable()

### onEnable

    public void onEnable()

### LogError

    public static void LogError(java.lang.String Message)

  Log error.

  Parameters:
    `Message` - the message

### LogInfo

    public static void LogInfo(java.lang.String Message)

  Log info.

  Parameters:
    `Message` - the message

### LogWarn

    public static void LogWarn(java.lang.String Message)

  Log warn.

  Parameters:
    `Message` - the message

### getStatsPlugin

    public static com.nidefawl.Stats.Stats getStatsPlugin()

  Gets the stats plugin.

  Returns:
    the stats plugin

### getServerRef

    public static org.bukkit.Server getServerRef()

  Gets the server ref.

  Returns:
    the server ref

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD